#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    long long n,x;
    cin>>n>>x;
    long long a[n],m,M;
    cin>>a[0];
    m=a[0],M=a[0];
    for(int i=1;i<n;i++)
    {
        cin>>a[i];
        if(a[i]<m)
            m=a[i];
        if(a[i]>M)
            M=a[i];
    }
    //cout<<m<<" "<<M<<endl;
    if(M<=x)
        cout<<x-m<<endl;
    else if(m>=x)
        cout<<M-x<<endl;
    else
        cout<<(M-m)+min((x-m),(M-x))<<endl;

    return 0;
}